Package twisted :: Package mail :: Module relaymanager :: Class SMTPManagedRelayerFactory |
[frames | no frames]

## Class SMTPManagedRelayerFactory

      Factory --+
                |
    ClientFactory --+
                    |
                   SMTPManagedRelayerFactory

Known Subclasses:
  `ESMTPManagedRelayerFactory`

Method Summary
| `__init__(self, messages, manager, *args, **kw)`
| ``buildProtocol`(self, addr)` Create an instance of a subclass of Protocol.
| ``clientConnectionFailed`(self, connector, reason)` called when connection could not be made
Inherited from ClientFactory
| ``clientConnectionLost`(self, connector, reason)` Called when a connection is lost.
| ``startedConnecting`(self, connector)` Called when a connection has been started.
Inherited from Factory
| ``doStart`(self)` Make sure startFactory is called.
| ``doStop`(self)` Make sure stopFactory is called.
| ``startFactory`(self)` This will be called before I begin listening on a Port or Connector.
| ``stopFactory`(self)` This will be called before I stop listening on all Ports/Connectors.

Class Variable Summary
`class` | `protocol` = `twisted.mail.relaymanager.SMTPManagedRelayer`
Inherited from Factory
`tuple` | `__implements__` = `(<class twisted.internet.interfaces.IPr...`
`str` | `noisy` = `'sure, why not'`
`int` | `numPorts` = 0

Method Details

### buildProtocol(self, addr) Create an instance of a subclass of Protocol. The returned instance will handle input on an incoming server connection, and an attribute "factory" pointing to the creating factory. Override this method to alter how Protocol instances get created. Overrides: `twisted.internet.protocol.Factory.buildProtocol` (inherited documentation)

### clientConnectionFailed(self, connector, reason) called when connection could not be made our manager should be notified that this happened, it might prefer some other host in that case Overrides: `twisted.internet.protocol.ClientFactory.clientConnectionFailed`

Generated by Epydoc 2.0 on Sat Oct 25 00:54:53 2003 | http://epydoc.sf.net